clear
clc
close all
tic


T = 300; % Time
n_scenario = 500; %Number of desired sample paths

%Demand parameter
mean = 200;
amplitude = 50;
Dmin = 100;
Dmax = 300;

%Electricity price parameter
Pmin = 0;
Pmax = 2500;
P0 = 200;
P1std = 50;
P2std = 500;
%Exogenous information storage.
sample_path.D = [];
sample_path.P = [];
sample_path.E = ones(1,T+1)*210;

for i = 1:n_scenario
%Disturbance functions
D_one = Demand(mean,amplitude,Dmin,Dmax,T);
P_one = Electricity_price(Pmin,Pmax,P0,P1std,P2std,T);

sample_path.D = [sample_path.D; D_one];
sample_path.P = [sample_path.P; P_one];
end

save('sample_path','sample_path')

